<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XProcessNodes StructType
 * @subpackage Structs
 */
class XProcessNodes extends AbstractStructBase
{
    /**
     * The lbmAssignedServices
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var XFkType
     */
    public $lbmAssignedServices;
    /**
     * Constructor method for XProcessNodes
     * @uses XProcessNodes::setLbmAssignedServices()
     * @param XFkType $lbmAssignedServices
     */
    public function __construct(XFkType $lbmAssignedServices = null)
    {
        $this
            ->setLbmAssignedServices($lbmAssignedServices);
    }
    /**
     * Get lbmAssignedServices value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return XFkType|null
     */
    public function getLbmAssignedServices()
    {
        return isset($this->lbmAssignedServices) ? $this->lbmAssignedServices : null;
    }
    /**
     * Set lbmAssignedServices value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param XFkType $lbmAssignedServices
     * @return XProcessNodes
     */
    public function setLbmAssignedServices(XFkType $lbmAssignedServices = null)
    {
        if (is_null($lbmAssignedServices) || (is_array($lbmAssignedServices) && empty($lbmAssignedServices))) {
            unset($this->lbmAssignedServices);
        } else {
            $this->lbmAssignedServices = $lbmAssignedServices;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return XProcessNodes
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
